# Automatically generated LTFS configuration file for Linux.
# Edit this file to add or remove tape driver plugins and I/O
# schedulers or to change default settings.
#
# To make configuration changes that will persist across software
# updates, edit ltfs.conf.local instead of this file.

# Tape device plugins
# Syntax: plugin tape PLUGIN-NAME PLUGIN-PATH
# The PLUGIN-PATH may contain spaces.

   
plugin tape file /usr/pkg/lib/ltfs/libtape-file.so
plugin tape itdtimg /usr/pkg/lib/ltfs/libtape-itdtimg.so

# I/O scheduler plugins
# Syntax: plugin iosched PLUGIN-NAME PLUGIN-PATH
# The PLUGIN-PATH may contain spaces.
plugin iosched unified /usr/pkg/lib/ltfs/libiosched-unified.so
plugin iosched fcfs /usr/pkg/lib/ltfs/libiosched-fcfs.so

# Key Manager Interface plugins
# Syntax: plugin kmi PLUGIN-NAME PLUGIN-PATH
# The PLUGIN-PATH may contain spaces.
plugin kmi flatfile /usr/pkg/lib/ltfs/libkmi-flatfile.so
plugin kmi simple /usr/pkg/lib/ltfs/libkmi-simple.so

# Default plugins
# Syntax: default PLUGIN-TYPE PLUGIN-NAME
# The PLUGIN-NAME must be one of those defined using a "tape", "iosched" or "kmi" line.
# For a PLUGIN-TYPE of iosched, the special "none" name may be used to indicate that
# no I/O scheduler should be used by default.
default tape scsipi-ibmtape
default iosched unified
default kmi none

# Default mount options
# Syntax: option MODE MOUNT-OPTION

# Include the local settings file. That file is not overwritten when a newer
# version of LTFS is installed.
include /usr/pkg/etc/ltfs.conf.local
